Перечень льготных профессий предприятия
Версия 3.6.22 (26.01.2026)
- [LGOT-1441] - доработана первичная проверка структуры XML при загрузке файлов;
- [LGOT-1422] - реализован механиз дополнения списков подразделений и позиций из ЕФС-1;

Версия 3.6.21 (14.01.2025)
- [LGOT-1412] - исправлена проблема с ошибкой на первом запуске ПЛП после реорганизации БД для версии 3.6.20;
- [LGOT-1413/LGOT-1414] - исправлена проблема с определением наличия перечня в БД;

Версия 3.6.20 (20.12.2024)
- [LGOT-1409] - доработана поддержка регистрационных номеров ЕЦП (формат XXXXXXXXXX) для перечней;
- [LGOT-1407] - доработана загрузка периодов работы из текстового файла;
- [LGOT-1411] - настройка "Автоматически проставлять ДТ и классы УТ" теперь активируется по умолчанию для новых установок ПЛП;
- поддержка формата перечней 1.26;

Версия 3.6.19 (26.01.2024)
- [LGOT-1394] - доработана загрузка периодов работы с кодом ТУ "СЕЛО" из документов формы ЕФС-1;
- [LGOT-1390] - исправлена проблема с возникновением ошибки "Несоответствие типов данных в выражении условия отбора" при сохранении данных подразделения;
- [LGOT-1395] - исправлена проблема с возникновением ошибки "Дескриптор строки указывал на удаленную строку или строку, помеченную для удаления" при загрузке перечня из XML;
- [LGOT-1392] - переработана система создания резервных копий БД:
  • операционная БД копируется в файл backup_current.mdb при каждом запуске программы;
  • операционная БД копируется в файл backup_old.mdb при запуске программы новой версии;

Версия 3.6.18 (15.01.2024)
- [LGOT-1388] - доработана поддержка варианта формы ЕФС-1 от 01.01.2024;
- [LGOT-1389] - доработан импорт кодов дополнительных сведений ИС, классов УТ и отработанного времени из документов формы ЕФС-1;

Версия 3.6.17 (19.12.2023)
- [LGOT-1383] - доработана поддержка формата перечня 1.25;

Версия 3.6.16 (12.12.2023)
- [LGOT-1380] - доработана загрузка периодов работы с одинаковымм датами начала и окончания и льготными основаниями, но по разным профессиям из CSV;
- [LGOT-1381] - доработана поддержка формы ЕФС-1;
- [LGOT-1378] - актуализирована документация по формату CSV-файла для загрузки периодов работы;

Версия 3.6.15 (09.06.2023)
- [LGOT-1377] - произведены доработки для обеспечения возможности запуска ПЛП под Wine (подробности в файле "Инструкция для запуска по Wine.txt").

Версия 3.6.14 (10.02.2023)
- [LGOT-1369] - с поля адреса сотрудника снято ограничение в 200 символов;
- [LGOT-1371] - возвращена возможность редактирования поля "Тип изменения позиции";
- [LGOT-1370] - исключено появление ошибочных предупреждений "Класс условий труда отличается от указанных для данной профессии в позициях штатного расписания" в случаях, когда ни для позиции, ни для периода работы не указано классов условий труда;

Версия 3.6.13 (30.01.2023)
- [LGOT-1365] - исправлена проблема с загрузкой перечней формата 1.24;

Версия 3.6.12 (23.01.2023)
- [LGOT-1363]:
	1. В связи с постановлением Правления ПФР от 13.10.2022 № 216п:
		• добавлена графа "Дополнительные сведения исчисления стажа" (соответствует графе 11 СЗВ-СТАЖ):
			• код "ВОЕНСЛ" (действует с 24.02.2022, указание оснований льготного стажа и территориальных условий вместе с данным кодом недопустимо),
			• код "КВАЛИФ" (теперь может указываться с одновременным указанием кодов льготного стажа, кроме кода территориальных условий "СЕЛО"),
			• код "ДЕТИ" (указание только с кодом территориальных условий "СЕЛО").
		• добавлена графа "Территориальные условия" (соответствует графе 8 СЗВ-СТАЖ):
			• код "СЕЛО".
	2. В связи с постановлением Конституционного труда РФ от 04.10.2022 №40-П:
		• добавлены классы условий труда 1, 2 (допустимо только с указанием основания льготного стажа код 27-ОС).
- Поддержка формата 1.24.

Версия 3.6.11 (25.01.2022)
- [LGOT-1348] - В классификатор оснований льготы введен код "СЕЛО";
- [LGOT-1361] - В классификатор оснований льготы введен код "КВАЛИФ";

Версия 3.6.10 (11.01.2022)
- [LGOT-1348] - Для периодов работы добавлена поддержка признака наличия основания территориальных условий вида "СЕЛО".
	Загрузка значения поля из СЗВ-СТАЖ или текстовых файлов, а также поддержка при копировании и вставке записей также поддерживаются;
- [LGOT-1353] - Решены проблемы при загрузке поименного списка из текстового файла, связанные со ставкой по умолчанию и порядком льготных оснований.

Версия 3.6.9 (24.12.2020)
- [LGOT-1330] - Добавлена поддержка основания исчисляемого стажа "ВИРУС";
- [LGOT-1304] - Переработан алгортим определения профессии при загрузке данных из ИС;
- [LGOT-1331] - Переработан алгоритм отображения флажков выбора и увольнения.

Версия 3.6.8 (21.01.2019)
- [LGOT-1283] - Исправлена ошибка наполнения колонки ставки (слияние ставки как строки, а не как числа) формы предзагрузки поименного списка при загрузке данных из ИС2017;
- [LGOT-1281] - Исправлена ошибка при запуске ПЛП при отсутствии перечней в БД;
- [LGOT-1282] - Исправлена ошибка при определении вхождения периода работы в период перечня;
- [LGOT-1288] - Реализована поддержка загрузки данных поименного списка из новой вариации формы СЗВ-СТАЖ из Альбома Форматов версии 2.31д;

Версия 3.6.7 (13.12.2018)
- [LGOT-1204] - Решена проблема с учётом фактического количества по одноименным позициям с отличными датами ввода в штатное расписание;
- [LGOT-1266] - Исправлена ошибка загрузки данных подразделений при попытке загрузки в поименный список данных из ИС/текстового файла,
                Актуализирован и исправлен функционал копирования данных позиций/поименного списка, а также данных отдельных ячеек;
- [LGOT-1262] - Исправлена проблема с невидимыми сетевыми дисками в диалоге выбора папки для сохранения перечня;
- [LGOT-1272] - Исправлена ошибка сохранения периода работы льготника в мастере заполнения перечней, возникающая если до этого произошла хоть одна неудачная попытка сохранения периода;
- [LGOT-1029] - Исправлена проблема с невозможностью проставить ДТ и код УТ для сочетаний льготных оснований и кодов по спискам 1 и 2, по которым уплата ДТ не обязательна (например, 27-2 и 23307000-17541);

Версия 3.6.6 (25.01.2018)
- [LGOT-1232] - Решена проблема сохранения XML-файла в папку, к которой отсутствуют права на запись/чтение;
- [LGOT-1230] - Решена проблема из-за которой алгоритм поиска одинаковых позиций складывал данные по позициям, следующим друг за другом согласно датам ввода-вывода штатного расписания;
- [LGOT-1236] - Решена проблема из-за которой при использовании ПЛП со съемных носителей или сетевых дисков иногда возникала ошибка "External Error C0000006";
- [LGOT-1242] - Переработан внешний вид окна сообщения о критической ошибке;
- [LGOT-1240] - Реализована попытка увеличения значения ключа реестра MaxLocksPerFile при старте программы;
                В случае возникновения ошибки, связанной с недостаточным его значением в сообщение об ошибке попадают рекомендации по устранению проблемы;
- [LGOT-1243] - На страницу загрузки поименного списка добавлен сплиттер между списком найденных в файле и выбранных для загрузки периодов работы;
- [LGOT-1254] - Реализована поддержка загрузки данных из документов форм СЗВ-СТАЖ, СЗВ-ИСХ, СЗВ-КОРР;

Версия 3.6.5 (21.04.2016)
- [LGOT-1183] - Исправлена проблема совместной работы в ПЛП;
- [LGOT-1199] - Исправлена ошибка установки профессии последнего периода работы новому периоду при создании перечня за новый отчетный период на основании имеющегося;
- [LGOT-1204] - При расчете фактической численности для её сверки с рассчитанной по поименному списку теперь учитывается фактическая численность по всем одинаковым позициям;
- [LGOT-1213] - В формат текстового файла для загрузки поимённого списка добавлено поле "уволен в следующем периоде";

Версия 3.6.4 (09.03.2016)
- [LGOT-1162] - Реализован алгоритм сжатия и восстановления БД;
- [LGOT-1127] - Исправлена форма отчёта по перечню;
- [LGOT-1095] - Реализована ошибка при указании основания ИС "ПОЛЕ" при наличии у периода работы основания выслуги лет;
- [LGOT-1152] - Исправлена ошибка фокусировки на скрытый элемент окна;
- [LGOT-1148] - Исправлена загрузка поимённого списка из ИС формата РСВ-1 текущей версии;
- [LGOT-1159] - Доработана необходимость проставления отработанного времени в зависимости от указанного для периода работы основания ИС;
- [LGOT-1174] - Реализовано проставление отметки о проведении логической проверки перечня перед выгрузкой;
- [LGOT-1176] - Исправлена проблема, возникающая при нажатии кнопки "ВВОД" в столбце класса УТ штатного расписания, из-за которой переход на следующий столбец осуществлялся дважды;
- Поддержка формата 1.20;

Версия 3.6.3 (22.09.2015)
- [LGOT-1097] - Исправлена ошибка создания нового периода на основе имеющегося при проставлении увольнений сотрудников в текущем периоде;
- [LGOT-1096] - Исправлена ошибка невозможности выгрузки перечня в файл XML при наличии в наименовании подразделения/производства/участка определённых символов;
- [LGOT-1090] - Заблокировано проставление основания фактически отработанного времени ПОЛЕ для перечней младше 01.01.2015;
- [LGOT-1095] - Исправлена ошибка возможности проставления основания исчисления стажа ПОЛЕ с льготными основаниями, для которых запрещено указывать основания исчисления стажа;
- [LGOT-1094] - Исправлено значение версии формата в выгружаемых файлах;
- [LGOT-1093] - В печать поименного списка добавлена дата рождения ЗЛ;
- [LGOT-1051] - Добавлена возможность переноса в создаваемый период работы атрибутов должности последнего периода работы при создании перечня за новый отчётный период на основе существующего;
- [LGOT-1102] - Реализовано выделение ошибок красным цветом, а также возможность скрытия предупреждений в списке ошибок и предупреждений, выявленных при сохранении перечня в файл XML;
- [LGOT-1110] - Исправлена ошибка отображения наименований участков подразделений в виде непечатаемых символов в отчёте по поименному списку;
- [LGOT-1111] - Исправлена ошибка неправомерного отображения предупреждения о несоответствии ставки со значением 1 величине от 1 до 2 при указании сочетания льготных оснований 27-1/27-2 с льготными основаниями выслуги лет и определёнными кодами списков 1 и 2;
- [LGOT-1114] - Реорганизована обработка неполной ставки для сочетаний льготных оснований, подразумевающих проставление кодов списка №1 и №2 и льготных оснований выслуги лет;
- [LGOT-1115] - Актуализированы наборы проверок данных для режимов полной проверки данных и отключенной проверки (только критические проверки).

Версия 3.6.2 (31.07.2015)
- [LGOT-1054] - Исправлено и дополнено номером/наименованием текущего перечня обновление индикатора проверки перечня перед выгрузкой. Повышена производительность во время выгрузки перечня в файл и общая производительность системы;
- [LGOT-1053] - Исправлена ошибка проверки дат рождения с годом менее 1940;
- [LGOT-1055] - Убрано требование наличия у позиции класса УТ для проставления даты спецоценки (обусловлено возможностью наличия классов 2 и 1 порядка у позиции, которые не указываются в ПЛП);
- [LGOT-1062] - Добавлено основание фактически отработанного времени ПОЛЕ;
Поддержка формата 1.19.

Версия 3.6.1 (06.07.2015)
- [LGOT-1041] - Устранена ошибка загрузки поимённого списка из файлов индивидуальных сведений;

Версия 3.6.0 (25.06.2015)
- [LGOT-1002/LGOT-1007] - Устранено ошибочное требование проставления фактически отработанного времени для льготного основания 27-15;
- [LGOT-1004] - Устранена ошибка отчёта по поименному списку, вызывавшая задвоение данных подразделений;
- [LGOT-994] - Устранена проблема, при которой не сохранялось изменение даты аттестации/даты спецоценки в подразделении;
- [LGOT-1018] - В поименный список добавлено поле "Дата Рождения", В формат загружаемого текстового файла поименного списка добавлена возможность загрузки дня рождения работника;
- [LGOT-996] - В формат загружаемого текстового файла поименного списка добавлена возможность загрузки адреса работника;
- [LGOT-1031] - Добавлена возможность пометки работника как уволившегося из организации с целью пропуска данных этих работников при создании перечня за следующие отчётные периоды;
- [LGOT-976] - Исправлена проблема сохранения адреса с кавычками в XML-файл (двойные кавычки заменяются на одинарные);
- [LGOT-1003] - Устранена проблема распечатки перечней с наименованиями организации, содержащими одинарные кавычки;
- [LGOT-878] - В структуру наименования выгружаемого XML-файла добавлен период перечня.
- Поддержка формата 1.18.

Версия 3.5.6 (23.01.2015)
- [ISLP-398] - Исправлена ошибка формирования отчёта по поименному списку;
- [LGOT-972] - В выпадающий список вариантов профессии для периода работы добавлен вариант без указания класса УТ при условии, что для позиции в штатном расписании проставлен один или несколько классов УТ;
- [LGOT-952] - Решена ошибка формирования отчета по поименному списку, при которой не объединялась численность по одинаковым профессиям;
- [LGOT-973] - Реализован расчёт численности по штатному расписанию по поименному списку и сверка с ним введенного значения с выводом предупреждения в случае несоответствия;
- [LGOT-965] - Восстановлена возможность ввода часов для льгот 28-ПД или 28-ПДРК;
- [LGOT-969] - Переработан алгоритм автоматического проставления ДТ;
- [LGOT-976] - Реализована возможность указывать адрес ЗЛ в поименном списке, печать поименного списка с заполненным адресом;
- [LGOT-934] - Исправлена ошибка выгрузки часов для льготного основания РЕАКТИВН;
- [LGOT-983] - Добавлены контекстно зависящие от указанных льготных оснований проверки заполнения фактически отработанного времени, алгоритмы проверок отражены в документации.
- Поддержка формата 1.17.

Версия 3.5.5 (30.09.2014)
- [LGOT-881] - Добавлена поддержка проставления даты аттестации по отдельным подразделениям и позициям, добавлена поддержка проставления даты специальной оценки по отдельным подразделениям и позициям.
- [LGOT-934] - Реализованы предупреждения о необходимости указания фактически отработанного времени и выгрузки полей "часы/месяцы" и "минуты/дни" в виде часов и минут для следующих льготных оснований: САМОЛЕТ, СПЕЦАВ, ИТСИСП, ЛЕТИСП, ИНСПЕКТ, ОПЫТИСП, ИСПКЛС1, ИТСМАВ, РЕАКТИВН, НОРМСП;
- [LGOT-935] - В проверки при выгрузке в XML добавлена проверка номера подразделения;
- [LGOT-936] - Изменен механизм проставления класса условий труда в перечне, изменен формат перечня;
- [LGOT-939] - Добавлена возможность использовать поле "Часы" с льготными основаниями 28-ПД и 28-ПДРК;
- [LGOT-942] - Исправлены проблемы сохранения подразделений с проставленной датой аттестации;
- [LGOT-948] - В распечатку перечня включены поля "дата специальной оценки" и "дата аттестации";
- [LGOT-951] - Разблокирована возможность не проставлять количество часов для льготы 27-ПДРК, отсутствие часов для льготы сопровождается предупреждением.

Версия 3.5.4 (25.07.2014)
- [LGOT-867] - Предупрежедение о несоответствии отопительного/навигационного сезонов периодам работы с соответствсующими им льготными основаниями вынесено в форму ошибок/предупреждений при импорте в XML;
- [LGOT-898] - Изменен формат текстового файла для загрузки поименного списка, добавлено поле "Класс УТ";
- [LGOT-899/LGOT-901/LGOT-914] - Устранена проблема с задвоением данных о работнике в поименном списке на печать в случае начличия периодов работы с двумя и более льготными основаниями;
- [LGOT-902] - Реализована возможность выбора из двух наименований должностей: "младшие медицинские сестры (санитарки) патологоанатомических отделений, прозекторских, моргов" и "младшие медицинские сестры по уходу за больными, занятые в рентгеновских отделениях (кабинетах)" при указании кода позиции «22600000-14467»;
- [LGOT-906] - Убрана возможность заполнения графы "Часы" при отсутствии кодов льгот 27-ПД и 27-ПДРК. При наличии данных в графе часы и отсутствии перечисленных льгот выводится ошибка и редактирование содержимого графы ограничивается удалением символов;
- [LGOT-907] - Исправлен расчет фактической численности (численности по поименному списку) при наличии у лиц периодов работы с одинаковыми профессиями и разными классами УТ;
- [LGOT-916] - Переработан алгоритм сохранения десятичных дробей;
- [LGOT-921] - Реализована возможность выбора между профессиями с разными классами УТ для периода работы в случае, когда в штатном расписании имеются одинаковые профессии с разными классами УТ;
- [LGOT-923] - Реализована корректное заполнение налета часов для периодов работы с льготными основаниями САМОЛЕТ и СПЕЦАВ при загрузке поименного списка из ИС.


Версия 3.5.3 (23.04.2014)
- [LGOT-887] - Реализована загрузка поименного списка из РСВ-1.
- [LGOT-888] - Реализовано автозаполнение поля "Класс УТ" в поименном списке по указанной профессии из штатного расписания.
- [LGOT-880] - Исправлено сохранение даты проведения аттестации рабочих мест.
- [LGOT-882] - При сохранении поименного списка добавлена проверка ставки. Если указана ставка и только основания льгот 27-1 или 27-2 - ошибка.
- [LGOT-872] - Расширено поле "Характер работы" в форме печати Перечня.
- [LGOT-892] - Исправлена проверка проставления часов, минут для оснований льгот СПЕЦАВ и САМОЛЕТ.

Версия 3.5.2 (11.04.2014)
- Реализована поддержка полей для сверки с форматом "РСВ-1".
- [LGOT-838] - При сохранении Перечня ЛП в файл «xml» при наличии ошибок выдается протокол со списком ошибок, в котором номер подразделения указывается в зависимости от порядкового номера, а не от номера подразделения, указанного в Перечне ЛП.
- [LGOT-826] - При указании кода льготы Списка № 1и № 2 блокируется графа "Ставка".
- [LGOT-860] - ПК "Перечень ЛП" исправлен в части указания часов, минут налета у "СПЕЦАВ".
- [LGOT-868] - Восстановлено поле "Примечание" в поименном списке, исправлены вызванные его отсутствием проблемы с определением номера поля.
- [LGOT-869] - Организован контроль значений поля "Класс УТ" в поименном списке.
- [LGOT-870] - Исправлена проблема с заполнением поля "Класс УТ" в поименном списке.

Версия 3.5.1 (17.10.2013)
- [LGOT-694] Добавлена возможность сохранять перечни с ошибками.
- [LGOT-756] Переработан механизм проверки перечня перед выгрузкой в XML.
- [LGOT-808] Изменен алгоритм проверки ставки для выслуги лет для рыбаков и горняков.
- [LGOT-809] Реализована загрузка часов налета из файлов ИС, загрузка в графу "Примечание" сведений о периоде временной нетрудоспособности.
- [LGOT-815] Изменен алгоритм проверки ставки медицинских работников.

Версия 3.5 (11.07.2013)
- [LGOT-692, LGOT-775] Реализован механизм резервного копирования базы при обновлении её структуры.
- [LGOT-724] Отчет по поименному списку дополнен таблицей с количеством работников по Списку №1 и Списку №2.
- [LGOT-737] Исправлена ошибка с округлением ставки при печати протокола.
- [LGOT-743] Увеличен размер полей "Характеристика" в подразделении.
- [LGOT-747] Реализовано логирование процесса инициализации программы, для решения проблем при запуске программы.
- [LGOT-773] Переработан процесс сохранения поименного списка и позиций штатного расписания для ускорения работы.
- [LGOT-782] В случае заполнения у ЗЛ кода "Особых условий труда" + "Выслуга лет" + ставки меньше 1: указывать как ошибку. Исключение код 12300000-20426 врачи-рентгенологи: предупреждение.
- [LGOT-786] Исправлена ошибка при выгрузке Перечня при проверке навигационного и отопительного сезонов, когда выставлены периоды в организации и в подразделениях.
- [LGOT-788] Реализована очистка ФИО от лишних пробелов.
- [LGOT-803] Добавлен новый статус изменений "ДТ-НЕТ для позиций штатного расписания.

Версия 3.4.2(19.04.2013)
- [LGOT-748] Исправлена ошибка при блокировке таблиц во время запуска в Windows 7.
- [LGOT-755] Добавлено исключение в проставление доп. тарифа для кода 27-2 в сочетании с позицией списка 23307000-17541.
- [LGOT-754, LGOT-736, LGOT-757] Реализована загрузка поименного списка из формы СЗВ-6-4.
- Исправлена ошибка при печати поименного списка, когда не заполнена должность начальника отдела кадров.
- При автоматическом проставлении доп. тарифа перед данным значением теперь проставляется "*", это означает что данное поле было изменено автоматически, но не сохранено в базу.

Версия 3.4.1(15.03.2013)
- Реорганизован модуль печати отчетов.
- [LGOT-740] Исправлена ошибка проставления доп. тарифа в перечне при случае формирования перечня из существующего путем обновления периода через главное меню.
- [LGOT-739] Исправлена ошибка неверного подсчета численности работников по штатному расписанию.
- [LGOT-708] Обновлен формат перечней 1.13 (Дополнительный тариф).
- [LGOT-708] Добавлено поле "Дополнительный тариф" в поименный список и позиции штатного расписания. Проставляется автоматически.
- [LGOT-700] При заполнении перечня с помощью мастера добавлено предупреждение если графе "Подтверждающие документы" пуста.
- [LGOT-548] При формировании поименного списка путем загрузки пачки ИС, сведения о фактически отработанном времени в поименный список теперь подгружаются.
- [LGOT-699] Решена проблема путаницы с выделением позиций поименного списка при навигации по списку.
- [LGOT-721] Решена ошибка при загрузке больших перечней, при которой выдается сообщение "Поставщик данных или другая служба вернули состояние E_FAIL".
- [LGOT-723] Исправлена ошибка с неправильным позиционированием курсора, при клике по ошибке вида "Основания льготы отличаются...".
- [LGOT-720] Исправлена ошибка, при печати перечня в формируемом документе в графу «Дата ввода в штатное расписание» не всегда выводится дата, хотя она есть в перечне.

Версия 3.4 (03.12.2012)
- [LGOT-509] исправлена ошибка по некорректному удалению ЗЛ из поименного списка
- [LGOT-592] добавлено предупреждение при указании льготы «27-ПДРК» и отсутствии данных в поле "Часы"
- [LGOT-639] добалены проверки при вводе навигационных и отопительных периодов
- [LGOT-648] добавлено поле выбора отчетного периода в мастер создания перечня
- [LGOT-657] графа перечня "Подтверждающие документы" теперь рекомендована к заполнению (выдается предупреждение)
- [LGOT-658] добавлено предупреждение перед открытиом подразделения о проверке корректности общих данных перечня
- [LGOT-676] в настройки добавлена возможность выбора сортировки поименного списка
- [LGOT-684] добавлено поле "Дата выхода на пенсию" в печатную форму "Поименный список"
- [LGOT-693] добавлена нумирация строк в поименном списке и позициях штатного расписания
- [LGOT-695] исправлена ошибка при обновлении периодов работы (ошибка заключалась в том, что если дата окончания совпадает с одной из 4х дат окончания квартала, то эта дата обновлялась)

Версия 3.3.1 (23.10.2012)
- [LGOT-678] доработано отображение поименного списка, теперь фамилии ЗЛ располагаются в алфавитном порядке
- реорганизован модуль печати

Версия 3.3 (19.07.2012)
- [LGOT-645] оптимизация производительности алгоритмов программы
- [LGOT-664] исправлена ошибка подсчета итогового количества работников по поименным спискам подразделений , возникающая при печати Перечня
- [LGOT-666] исправлена ошибка сортировки поименного списка при печати

Версия 3.2 (24.04.2012)
- поддержка формата Перечня ЛП версии 1.12
- новая технология печати - формирование файлов RTF
- автоматическая смена раскладки клавиатуры на русский язык при запуске программы
- жесткая привязка элементов интерфейса к форме (исключает наложение полей ввода и кнопок друг на друга)
- [LGOT-392],[LGOT-510] отражение отопительных сезонов и навигационных периодов в "Общих данных" по подразделению
- [LGOT-445] в разделе "Общие данные" записывается адрес организации (адрес подразделения отличный от адреса организации записывается в "Общих данных" подразделения)
- [LGOT-460] исправлена ошибка, возникающая в ходе работы "Мастера заполнения Перечня" на этапе 4 при добавлении периода работы работнику
- [LGOT-472] информация о том, что тип Перечня - корректирующий выводится при Печати Перечня
- [LGOT-474],[LGOT-481],[LGOT-595] выход периода работы за пределы отопительного периода переведен из разряда ошибок в предупреждения
- [LGOT-477] дополнительная проверка обоснованности заполнения периодов отопительного сезона и навигационного периода, а также обоснованности заполнения штатного расписания соответствующими позициями
- [LGOT-480] формат текстового файла для загрузки поименного списка расширен полем "Примечание"
- [LGOT-488] исправлена ошибка, возникающая при заполнении поименного списка по кочегарам с кодом 23200000-13786
- [LGOT-516] в БД увеличено поле "примечание" в поименном списке
- [LGOT-521] добавлена возможность ввода фактически отработанного времени при основании исчисления стажа УИК104
- [LGOT-523] в БД увеличены размерности полей "профессия", "должность" в штатном расписании и поименном списке
- [LGOT-627] исправлена ошибка в печатной форме "Поименный список к ПЕРЕЧНЮ" (слово "ПЕРЕЧНЮ" было написано "ПЕРЕЧЕНЮ")
- [LGOT-632] исправлена ошибка, возникающая при выгрузке в XML-файл в том случае, если физического диска "C:\" не существует

Версия 3.1.2 (08.12.10)
- устранена проблема, при которой в ПО невозможно было загрузить Перечни одного года, но за разные отчетные периоды

Версия 3.1.1 (01.12.10)
- добавлена возможность автоматического расчета фактической численности по поименному списку (см. настройки программы)
- устранена ошибка при заполнении КОРРЕКТИРУЮЩЕГО Перечня, при которой программа не позволяла вводить в поименном списке должности, отсутствующие в таблице штатного расписания

Версия 3.1 (15.11.10)
- исправлена ошибка, из-за которой при загрузке поименного списка из индивидуальных сведений формы СЗВ-6 могли не загрузиться некоторые записи (те, в которых был пустой блок "<ОсобыеУсловияТруда/>")
- добавлена возможность копирования текста в таблице штатного расписания и поименного списка (добавлены команды контекстного меню "Копировать текст ячейки", "Вставить текст в ячейку"). Может быть использована теми пользователями, которые привкли выполнять операции копирования и вставки текста с помощью мыши
- изменен алгоритм формирования Перечня и поименного списка на основании имеющегося (Перечень > Начать заполнение нового Перечня > Для нового отчетного периода): теперь в новый Перечень переносятся не все периоды работы, а только по одному на каждого работника
- расширена возможность загрузки поименного списка из текстового файла: теперь можно загружать также и ставку и информацию о фактически отработанном времени. Каждая строка файла теперь может иметь вид:
[страховой номер],[фамилия],[имя],[отчество],[дата начала периода],[дата окончания периода],[номер подразделения],[наименование участка],[основание льготы],[код позиции],[должность],[ставка],[фактически отработано месяцев (часов)],[фактически отработано дней (минут)]
Например:
111-444-111 66,Петров,Иван,Иванович,01.01.2009,01.12.2009,,,28-ПД,,"преподаватель,занимающийся развитием детей",1.3,3,4
- добавлена возможность ввода в программу Перечня и поименного списка как нарастающим итогом за год, так и отдельно по каждому полугодию (кварталу)
- добавлена возможность создания нового Перечня н а основе предыдущего в том числе за полугодие, квартал (см. Перечень > Начать заполнение нового Перечня > Для нового отчетного периода)
- изменен алгоритм работы кнопки "Обновить периоды" (окно редактирования информации о подразделении). Подробнее -см. Руководство пользователя

Версия 3.0.6 (22.07.10)
- добавлена возможность копирования наряду с записями о работниках записей о периодах работы

Версия 3.0.5 (20.07.10)
- добавлена возможность загрузки поименного списка из индивидуальных сведений форм СЗВ-6
- добавлена проверка позиций штатного расписания: для позиций, помеченных как "удаленные", не должен быть заполнен поименный список

Версия 3.0.4 (19.07.10)
- доработан режим загрузки поименного списка из текстового файла: если одно из загружаемых значений содержит запятую (например, нименование участка подразделения), для того, чтобы избежать ошибок при разборе файла программой, это значение можно заключить в двойные кавычки

Версия 3.0.3 (12.07.10)
- обеспечена возможность указания даты ввода позиции штатного расписания ранее 1950 года
- добавлен контроль на соответствие периодов работы в поименном списке и указанного для Перечня отопительного или навигационного периода

Версия 3.0.2 (18.06.10)
- устранена проблема заполнения поименного списка, возникающая при наличии в Перечне одноименных позиций штатного расписания

Версия 3.0.1 (09.06.10)
- устранена проблема когда программа ошибочно указывала на выход даты вывода позиции из штатного расписания за пределы отчетного года (в случае, если вывод позиции был в январе месяце)
- добавлена возможность копирования позиций и записей о работниках (в том числе между подразделениями и между Перечнями)

Версия 3.0 (21.05.10)
- в случае, если программе не удается провести сортировку подразделений по номеру по правилам сортировки чисел, проводится сортировка по правилам сортировки строк
- исправлена ошибка "В поименном списке не печатается СЕЗОН у кода 27-6"
- исправлена ошибка "Fixed row...", которая могла возникнуть при загрузке поименного списка из текстового файла
- доработан режим просмотра поименного списка (периоды работы теперь отображаются в хронологическом порядке)
- добавлена проверка на корректность заполнения дат ввода и вывода позиций из штатного расписания (дата ввода штатное расписание не может быть более поздней, чем отчетный год Перечня; дата вывода не может быть более ранней, чем отчетный год Перечня)
- добавлена возможность удаления сразу нескольких подразделений (выделите мышью несколько подразделений удерживая кнопку Ctrl (или удерживая кнопку Shift и выделяя стрелками "вверх" и "вниз" на клавиатуре) и нажмите кнопку "Удалить подразделение")
- функция поиска работника в окне редактирования информации о подразделении теперь работает независимо от регистра вводимых букв
- к Перечню добавлен информационный признак "Отчетный период" (3, 6, 9, 12 месяцев)
- кнопка "Обновить периоды" позволяет ограничить даты в периоде работы сотрудника отчетным периодом указанным для Перечня (например, если был период 08.01.2009-12.12.2009, а для Перечня установлен отчетный период "первое полугодие 2010 года", при нажатии на кнопку "Обновить периоды" программа установит для сотрудника период 08.01.2010-12.06.2010)
- добавлена возможность удаления сразу нескольких позиций штатного расписания (отметьте галками позиции для удаления и нажмите кнопку "Удалить")
- добавлена возможность удаления сразу нескольких записей о работниках из поименного списка (отметьте галками строки для удаления и нажмите кнопку "Удалить")
- добавлена возможность очистки поименного списка (в окне редактирования информации о подразделении, кнопка с черным крестиком справа)
- добавлена возможность формирования списка лиц, выходящих на пенсию (пункт меню "Поиск" > "Уходящие на пенсию")
- доработана выгрузка в XML: даты введенные в кратком формате (дд.мм.гг) при выгрузке автоматически расширяются до полного (дд.мм.гггг)

Версия 2.2 (15.01.10)
- в формат Перечня ЛП добавлены поля для информации о фактически отработанном времени
- в формате Перечня ЛП классификатор оснований пенсионных льгот расширен кодами 27-ОС,27-ПЖ,27-СП,27-ПД,27-ПДРК,27-ГД,27-СМ,27-ГДХР,27-СМХР в соответствии с проектом постановления ПФР "О внесении изменений в постановление Правления Пенсионного фонда Российской Федерации от 31 июля 2006 г. № 192п"
- обеспечена загрузка Перечней, содержащих новые коды оснований пенсионной льготы
- при заполнении поименного списка теперь доступны поля для ввода фактически отработанного времени (в месяцах и днях, либо в часах и минутах); поля доступны в случае указания основания исчисления стажа "ФАКТИЧЕСКИ ОТРАБОТАННОЕ ВРЕМЯ" или "ВОДОЛАЗ"
- наименование поля "Наименование профессии по ОКПДТР" дополнено словами "с учетом списка" (при печати Перечня)
- добавлена возможность автоматического исправления в Перечне старых кодов оснований льгот на новые; доступно из меню Действия > Исправить коды оснований льгот; при обновлении кодов создается протокол, который можно при необходимости сохранить в файл
- при заполнении позиций штатного расписания и поименного списка программа контролирует правильность указания кодов оснований льгот: так, например, в случае заполнения Перечня за 2009 год код 28-ПД будет считаться неверным (верный 27-ПД), но при заполнении Перечня за 2008 год код 28-ПД является допустимым
- исправлена ошибка, возникающая при загрузке поименного списка из текстового файла в случае, если текстовый файл содержит пустые строки
- исправлено неверное определение программой отчетного года Перечня, возникающее в случае выполнения следующей последовательности действий: запустить программу Перечень ЛП - перейти в окно поиска сотрудника - провести поиск сотрудника - перейти к окну подразделения, содержащего найденного сотрудника - программа сообщает о неверно заданных датах начала и окончания периода работы
- устранена проблема когда при наличии в поле "Основание исчисления стажа" пробела, в Перечень формата XML выводился пустой элемент <ОснованиеИсчисленияСтажа>, который мог стать причиной ошибки при дальнейшей загрузке файла XML в программу
- исправлена ошибка, при которой на некоторых принтерах при печати Перечня строчка "Фактическое количество работников по поименным спискам" печаталась на "арабском"
- в окне поиска работника добавлена кнопка "Очистить поля информации о запросе" (кнопка с черным крестиком в правом верхнем углу)
- доработан алгоритм загрузки поименного списка из тестовых файлов: теперь программа проводит поиск подразделения вне зависимости от регистра букв в наименовании участка (раньше при различии регистров (большие и маленькие буквы) программа не находила подразделение, к которому нужно отнести работника)


Версия 2.1 (19.10.09)
- исправлена ситуация, когда в штатном расписании присутствуют 2 позиции с одинаковыми названиями, основаниями льготы, но разными кодами по спискам 1,2 и программа не дает сохранить поименный список, указывая, что в позициях отсутсвует указанный код по спискам 1,2
- исправлена ошибка "задваивания" позиций штатного расписания при использовании кнопки "Добавить работника", "Добавить период работы"
- Добавлена возможность вводить в таблице позиций штатного расписания и в поименном списке код профессии, начинающийся с 2* при основании льготы 27-1 и наоборот. Вместо ошибки программа выдает предупреждение, которое пользователь при сохранении может игнорировать
- увеличена длина поля "Наименование подтверждающих документов"
- при загрузке поименного списка из индивидуальных сведений формата XML дополнительно загружается основание выслуги лет и ставка (если указано)
- расширен формат текстового файла, из которого можно загрузить поименный список; теперь это
[страховой номер],[фамилия],[имя],[отчество],[дата начала периода],[дата окончания периода],[номер подразделения],[наименование участка],[основание льготы],[код позиции],[должность]
При этом, если указан номер подразделения и (необязательно) наименование участка, программа автоматически поместит запись о работнике в указанное подразделение (речь идет о предварительной обработке файла для загрузки, фактическая запись произойдет при нажатии кнопки "Загрузить")
- устранено ложное срабатывание системы проверки данных на корректность при заполнении поименного списка в случае, если в поле "Дата выхода на пенсию" не было внесено значение и остались только разделители даты (  .  .    )
- добавлена кнопка для очистки поля ввода даты аттестации рабочих мест
- если в списке подразделений или в настройках печати Перечня и поименного списка установлена сортировка по номеру подразделения, программа будет пытаться интерпретировать номер как число и применить к нему правила сортировки для чисел (то есть для номеров подразделений 11,9,1,19 после сортировки будет следующий порядок: 1,9,11,19 а не 1,11,19,9 как было в предыдущих версиях программы, когда для сортировки номера применялись правила сортировки строк(так номер подразделения может быть задан произвольным сочетанием символов))

Версия 2.0

- исправлена ошибка, возникающая при сохранении поименного списка, в случае, если в позициях штатного расписания имеются две одноименные профессий с разным количеством оснований льгот (например, преподаватель 28-ПД 28-ОС и преподаватель 28-ПД)
- исправлена ошибка в классификаторе оснований льготы (было неверно НОРМАСП, исправлено на НОРМСП)
- в справочник кодов по спискам 1,2 добавлен отсутствовавший ранее код 2130302а-18494
- исправлено наименование профессии по ОКПДТР для кода 2110А030-17531
- снято ограничение на длину поля "Наименование профессии по ОКПДТР" (при вводе данных)
- увеличена длина поля "Характер работы" (таблица позиций штатного расписания)
- в Перечень добавлен признак "Отчетный год"
- увеличена длина полей "Профессия" (позиции штатного расписания), "Должность", "Профессия по штатному расписанию" (поименный список) до 200 символов
- добавлена возможность определения порядка сортировки подразделений при печати Перечня - по наименованию, по номеру, по наименованию участка (пункт меню Программа->Параметры, закладка Печать)
- перед печатью Перечень анализируется и если код позиции по спискам 1,2 не указан ни для одной позиции, то столбец "Позиция по спискам 1,2" на печать не выводится
- изменена печатная форма Перечня - добавлены итоги по подразделению (в том числе выводится фактическая численность работников по поименным спискам, если она отличается от суммы по столбцу "фактическая численность"), столбец "наименование подразделения" вынесен в заголовок, добавлен вывод информации о производстве, в конце документа выводится список лиц, работавших в течении отчетного года в нескольких подразделениях
- увеличено левое поле (для переплета) при печати Перечня, поименного списка и отчетов
- при печати поименного списка выводится поле "Примечание"
- доработаны отчеты по Перечню и поименному списку - добавлен вывод наименования, рег. номера страхователя и отчетного года
- исправлена ошибка подсчета фактической численности по поименному списку (возникала, в случае, если у работника было три (или более) периода работы, два из которых (крайние) имели одно название профессии)
- добавлена проверка на соответствие кода по спискам 1,2 основанию льготы (теперь нельзя сохранить Перечень, если основание льготы 27-1, а код по списку 2***** и наоборот)
- добавлена проверка при заполнении поименного списка: отслеживается уникальность застрахованного лица в списке (программа проверяет, чтобы один и тот же человек встречался в поименном списке подразделения не более одного раза)
- добавлена проверка при заполнении поименного списка: отслежиается, чтобы период работы не выходил за пределы отчетного года, на который запоняется Перечень
- добавлены особые проверки (при заполнении информации о подразделении), наличие которых уменьшает вероятность возникновения ошибки "Неверное выражение в условиях отбора"
- добавлено интерактивное отслеживание ошибок заполнения Перечня (при работе с окном "Подразделение" в нижней части окна динамически отображаются имеющиеся ошибки - не заполнено обязательное поле, не верно указан код по списку 1,2 и т.д)
- добавлена возможность определения порядка сортировки застрахованных лиц в поименном списке перед печатью (по ФИО, по страховому номеру, по наименованию профессии)
- реализована возможность загрузки поименного списка из ИС формата 7.0 (XML)
- добавлена возможность объединения нескольких Перечней организации (из разных файлов XML) в один общий Перечень организации

Версия 1.4 (22.10.2007)

Изменения
- исправлена ошибка, возникающая в определенных условиях при сохранении дополнительного периода работы у льготника
- в окно редактирования информации о подразделении добавлена кнопка "Сохранить", позволяющая сохранить введенную информацию не закрывая текущего окна
- в основном окне программы, на закладке "Подразделения" добавлена возможность сортировки по номеру, наименованию, участку, количеству позиций штатного расписания в подразделении, количеству работников в подразделении
- в окно редактирования информации о подразделении добавлен вывод информации об общем количестве работников в поименном списке
- добавлена возможность быстрого поиска работника в окне редатирования информации о подразделении
- добавлена возможность поиска работника по предприятию в целом по таким параметрам как страховой номер, ФИО, основание льготы, код позиции по спискам 1,2; результаты поиска можно распечатать
- при заполнении поименного списка учитывается факт, что позиции штатного расписания могут иметь одинаковое наименование, но разные условия труда; теперь, в случае появления подобной ситуации, при заполнении поименного списка в графе "Профессия" можно выбрать позицию штатного расписания с учетом этого факта
- при загрузке поименного списка из индивидуальных сведений (ИС) в программу попадают не только такие данные как ФИО, страховой номер и период работы, но и основание льготы и код по спискам 1,2 (если указан);
- исправлено ошибочное определение льготы при загрузке поименного списка из ИС, в случае, когда льготный период работы в ИС не являлся первым периодом данного работника и при загрузке работник не отображался в списке как льготник
- при загрузке поименного списка из ИС реализована возможность быстрого поиска работника по страховому номеру, фамилии, имени, отчеству
- в справочник оснований исчисления стажа добавлено значение "ФАКТИЧЕСКИ-ОТРАБОТАННОЕ-ВРЕМЯ"
- в поименный список добавлено поле "Примечание" предназначенное для ввода дополнительной необходимой информации
- добавлено поле "Дата проведения аттестации рабочих мест"
- добавлена возможность сохранения в файл протокола загрузки поименного списка из ИС (или из текстового файла)
- доработан алгоритм автоматического расчета фактической численности работников на основании поименного списка: теперь учитывается период действия позиции штатного расписания и период работы человека, а также при подсчете программа ориентируется не только на название должности, но и на основания льготы и код позиции по спискам 1,2 (ранее при наличии одноименных должностей автоматический подсчет фактической численности производился неверно)
- при сохранении информации в окне редактирования информации о подразделении проводится контроль соответствия фактической численности, указанной в позициях штатного расписания, и численности работников для данной позиции, указанных в поименном списке
- реализована возможность промежуточного сохранения данных (в окне редактирования информации о подразделении) без проверки на полноту и корректность данных; данная возможность будет полезна при работе с большими объемами данных; подробнее см. Руководство пользователя, раздел 1.5.5
- сортировка позиций штатного расписания теперь проводится не только по наименованию профессии, но и по дате ввода в штатное расписание, то есть теперь в случае, если в течении отчетного года менялось штатное расписание и этот факт отражен в Перечне, одноименные позиции будут располагаться в хронологическом порядке
- исправлен алгоритм подсчета итоговой численности по Перечню: итоговая численность по штатному расписанию отражает сумму по актуальным позициям (то есть в случае изменения штатного расписания в течении отчетного года в сумму включается только та позиция, которая по дате ввода была последней); итоговая фактическая численность отражает количество работников по актуальным позициям


Версия 1.3 (28.04.2007)

Изменения

- при загрузке Перечня из XML допускается использование краткого формата даты (2 цифры для года, например, 01.01.98);
- при печати поименного списка записи о периодах работы одного человека (в пределах одной должности) сортируются в хронологическом порядке;
- при печати Перечня профессии сортируются с учетом не только наименования подразделения, но и участка;
- в список подразделений на закладке "Подразделения (цеха)" добавлена для удобства колонка "Участок";
- изменен порядок строк в таблицах позиций штатного расписания и порядок блоков "Позиция" в формируемом файле XML (строки сортируются по наименованию профессии в алфавитном порядке);
- при печати Перечня наименование должности руководителя предприятия и начальника отдела кадров выводятся с учетом информации, введенной пользователем;
- в классификатор типов предприятия добавлен тип "СТРОИТЕЛЬСТВО";
- реализована возможность сохранения печатной формы Перечня, поименного списка и отчета по статистике в файл формата
RTF;
- для предприятия введены следующие необязательные для заполнения харатеристики: навигационный период и отопительный сезон;
- в окне выбора предприятия для редактирования добавлена возможность сортировки по наименованию или по регистрационному номеру предприятия;
- для работника теперь можно указать дополнительный необязательный для заполнения признак: основание исчисления стажа (возможные значения: СЕЗОН, УИК104, ВОДОЛАЗ)
- реализована возможность загрузки поименного списка из индивидуальных сведений
- добавлена возможность автоматического обновления дат в периодах работы сотрудников на новый отчетный период (кнопка "Обновить периоды" в окне редактирования информации о подразделении)
- внесены изменения в отчет по статистике: теперь подсчитывается не количество одноименных профессий, а итоговое количество ставок по штатному расписанию для каждой профессии; учтены ситуации, когда в Перечне указывается одна и та же позиция более одного раза (случай изменения штатного расписания в течении отчетного периода), а также случай когда одна и таже позиция указывается в Перечне 2 раза (случай, когда позиция одновременно характеризуется сразу 2 кодами по спискам 1 и 2)
- добавлен отчет по поименному списку: в отчете отражается численность работников в течении отчетного периода по профессиям и по подразделениям
- исправлена ошибка (при выборе типа поименного списка "КОРРЕКТИРУЮЩИЙ" сохранялось только "КОРРЕКТИРУ")

Версия 1.2 (07.11.2006)

Изменения

- добавлен вывод наименования участка подразделения при печати Перечня и поименного списка;
- добавлен вывод страхового номера при печати поименного списка;
- добавлено разделение сотрудников по подразделениям при печати Перечня;
- изменена печать Перечня: столбец 10 "Статус проверки позиции Перечня" заменен на столбец "Характер работы"
- исправлен неверный подсчет итогов в печатной форме Перечня;
- введено отслеживание форматов даты (для обеспечения полного соответствия требуемому формату Перечня даты должны быть в полной форме: ДД.ММ.ГГГГ);
- добавлена функция подсказки наименования профессии по ОКПДТР в соответствии с выбранным кодом  (только для оснований льгот 27-1 и 27-2)
- добавлена функция автозаполнения для поименного списка на основе данных, указанных в перечне позиций штатного расписания (в части наименования профессии, оснований пенсионной льготы для данной профессии и кода по спискам 1,2);
- добавлена функция автоматического подсчета фактической численности при сохранении информации о подразделении на основании поименного списка (автоматический подсчет производится только если перечень исходный и фактическая численность не указана);
- в состав установки включены дополнительные компоненты, необходимые для загрузки Перечня из XML файла (загрузка Перечня доступна только для пользователей операционных систем Windows 2000 Service Pack 4, Windows Server 2003, Windows XP, Windows XP Service Pack 1,  Windows XP Service Pack 2)
- оптимизирована загрузка классификаторов (в результате уменьшено время загрузки);
- оптимизирована операция сохранения информации, введенной с помощью окна "Редактирование информации о подразделении";
- введен дополнительный анализ при подсчете итогов при печати Перечня: если в рамках одного подразделения встречаются 2 позиции с идентичным названием профессии по штатному расписанию, то такие позиции считаются как одна (такой анализ позволяет разрешить ситуации, когда должность предусматривает работы в течении отчетного периода с разными условиями труда, например по статье 27-1 и по 27-2, и соответственно такая должность заносится в Перечень двумя строчками)

Версия 1.1 (19.10.2006)

Изменения

- установлена зависимость содержания раскрывающегося списка "Код позиции по спискам № 1,2" от выбранного основания пенсионной льготы (если основание "27-1" - в списке появляются только коды, начинающиеся на 1, если "27-2" - начинающиеся на 2);
- добавлена возможность вводить наименование по ОКПДТР;
- добавлена возможность печати поименного списка;
- изменены итоги, выводящиеся при печати Перечня (отдельно выводится общее количество ставок и общее количество работников);
- устранена ошибка программы, возникающая при сохранении поименного списка;
- устранено несоответствие, возникающее при печати Перечня (колонка "Характер работы")
- устранена ошибка "Класс не зарегистрирован", возникающая у пользователей MS Windows 98, при попытке сохранения Перечня в файл XML
